{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\n$insert msg_equates\r\n\r\n.next->text = '&Next'\r\n\r\nMessages = get_property( @window, '@Messages' )\r\nPointers = get_property( @window, '@Pointers' )\r\nCurTier  = get_property( @window, '@CurTier' )\r\n\r\nPtrs = Pointers<1,CurTier>\r\nPrevPtr = field( Ptrs, ';', 3 )\r\nPrevMessage = Messages<1,PrevPtr>\r\nPrevPtrs = Pointers<1,PrevPtr>\r\nPrevYes  = field( PrevPtrs, ';', 1 )\r\nPrevNo   = field( PrevPtrs, ';', 2 ) \r\n\r\nif PrevYes = PrevNo then\r\n   * POINTERS ARE EQUAL SO YOU KNOW IT IS NOT A QUESTION\r\n   .answer->visible = 0\r\nend else\r\n   .answer->visible = 1\r\nend\r\nVoid = set_property( @window, '@CurTier', PrevPtr )\r\n.question_instruction->text = PrevMessage\r\nif PrevPtr = 1 then\r\n   .prev->enabled = 0\r\nend\r\nRETURN 0"
        }
    }
}